## anytree 2.12.1

=== debian/changelog ===
anytree (2.12.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2025 16:42:26 -0500

anytree (2.12.1-3) unstable; urgency=medium

  [ Mitchell Augustin ]
  * Update standards version

  [ Loïc Minier ]
  * Acknowledge no change NMU, thanks Boyuan Yang!
  * Add Bug link in patch Add-project-name-to-pyproject-toml.

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Tue, 28 Jan 2025 14:18:00 -0600

anytree (2.12.1-2) unstable; urgency=medium

  * Add project name to pyproject.toml (closes: #1094065)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Mon, 27 Jan 2025 14:54:00 -0600

anytree (2.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Jul 2024 21:32:31 -0400

anytree (2.12.1-1) unstable; urgency=medium

  * Initial release. (closes: #1072301)
  * Add patch Fixed-tmpdir-race-condition-in-dotexport-test
    to fix dotexport tests

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Fri, 21 Jun 2024 14:03:00 -0500
