=== debian/control ===
Source: anytree
Section: python
Priority: optional
Maintainer: Mitchell Augustin <mitchell@mitchellaugustin.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-poetry-core,
 python3-pytest,
 python3-six,
 graphviz
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/c0fec0de/anytree

Package: python3-anytree
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 graphviz
Description: Powerful and Lightweight Python Tree Data Structure with various plugins
 Anytree is a Python library designed to enable easy creation,
 manipulation, and visualization of tree data structures. It
 exposes a syntactically simple interface for defining and
 establishing relationships between nodes and offers convenient
 tools for rendering trees in readable formats.
 .
 Anytree can also be used to turn any class into a tree node
 simply by adding NodeMixin as a base class. Trees
 constructed using Anytree can also be easily visualized
 and exported as images with various styles via Graphviz.
 (For users of the exporter API, make sure to install graphviz.)
