=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=anytree

%:
	dh $@ --buildsystem=pybuild
