=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%anytree-$1.tar.gz%" \
      https://github.com/c0fec0de/anytree/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
