## anytree 2.13.0

=== debian/changelog ===
anytree (2.13.0-1) unstable; urgency=medium

  * New upstream release. Drop six dependency, add python3-pdm-backend,
    python3-pytest-cov, python3-test2ref (closes: #1102445)

 -- Mitchell Augustin <mitchell@mitchellaugustin.com>  Mon, 23 Feb 2026 00:28:00 -0500
