=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
  pybuild-plugin-pyproject,
  python3-poetry-core,
  python3-pytest,
- python3-six,
+ python3-pytest-cov,
+ python3-pdm-backend,
+ python3-test2ref,
  graphviz
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.0
